Jupiter - Blad #1745
Brak aktualizacji drzewa po dodaniu podrzednego elementu do nowego elementu
2017-06-30 12:41 - Jarostaw Babel

Status: Zamkniety Start date: 2017-06-30
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3

Developer: Michat Komar Rewizja zgtoszenia GIT:693aaad
Tester: tukasz Waskiewicz Rewizja rozwigzania GIT4b3f07e
Wystepuje w wersji: 0.3 Rewizja testow GIT:  0c7d1529
Waga btedu: Mata

Description

Scenariusz:

1. Dodajemy nowy element do drzewa. Element wyswietla sie, ale bez "tréjkacika" rozwijania.

2. Do nowo dodanego elementu dodajemy kolejny. W drzewie nic sie nie zmienia, a powinien wyswietli¢ sie nowy podrzedny element
i trojkaciki rozwijania.

3. Dopiero od$wiezenie drzewa ikonka strzatek pokazuje nowy podrzedny element.

Problem lezy gdzie$ w tree.expandNodes() i w danych jakie sg do tej metody przekazywane. Wczes$niej przy operacjach jw. leciat
btad, dodatem tam dwa sprawdzenia na "puste" elementy" i bledu nie ma, ale drzewo sie nie od$wieza.

History

#1 - 2017-08-31 08:27 - Michat Komar
- Target version set to 0.3

#2 - 2017-09-04 08:11 - Monika Maksymiuk
- Assignee changed from Monika Maksymiuk to Michat Komar

#3 - 2017-09-13 09:23 - Michat Komar
- Status changed from Nowy to W toku

#4 - 2017-09-13 09:47 - Michat Komar

- Status changed from W toku to Rozwigzany
- % Done changed from 0 to 100

- Rewizja rozwigzania GIT set to f4b3f07e

- Developer Michat Komar added

- Tester tukasz Waskiewicz added

U mnie dziata

#5 - 2017-10-11 12:24 - Michat Komar

- Assignee changed from Michat Komar to tukasz Waskiewicz

Zapomniatem przepiaé¢ do przetestowania
#6 - 2017-10-12 13:56 - Lukasz Waskiewicz

- Status changed from Rozwigzany to Zamkniety

- Assignee changed from tukasz Waskiewicz to Michat Komar
- Rewizja testow GIT set to 0c7d1529

OK, dla petnego i prostego trybu
